Read Message
GET
/api/v1/mail/messages/{id}Overview
Retrieve the full content of a single email message. Automatically marks the message as read.
Path Parameters
idintegerrequiredMessage ID
Request
- cURL
curl "https://spideriq.ai/api/v1/mail/messages/1234" \
-H "Authorization: Bearer <client_id>:<api_key>:<api_secret>"
Response
{
"id": 1234,
"mailbox_id": 1,
"message_id": "<abc123@mail.zoho.com>",
"in_reply_to": "<def456@company.com>",
"thread_id": "<def456@company.com>",
"direction": "inbound",
"from_address": "bob@prospect.com",
"to_addresses": ["alice@company.com"],
"cc_addresses": null,
"subject": "Re: Quick question about your services",
"body_text": "Thanks for reaching out! I'd love to learn more...",
"body_html": "<p>Thanks for reaching out!...</p>",
"date": "2026-02-02T10:15:00",
"is_read": true,
"is_starred": false,
"labels": [],
"created_at": "2026-02-02T10:16:00"
}
Response Fields
| Field | Type | Description |
|---|---|---|
body_text | string | Plain text content of the email |
body_html | string | null | HTML content of the email (if the sender included HTML) |
direction | string | inbound (received) or outbound (sent) |
thread_id | string | Thread identifier for grouping conversations |
is_read | boolean | Read status (automatically set to true when retrieved) |